%global download_id 71
Name:		mars2mseed
Version:	1.3
Release:	2%{?dist}
License:	GPLv2+
Summary:	Convert MARS data to miniSEED format
Url:		https://seiscode.iris.washington.edu/projects/mars2mseed
Group:		Applications/File
Source0:	https://seiscode.iris.washington.edu/attachments/download/%{download_id}/mars2mseed-%{version}.tar.gz
Patch1:		mars2mseed-libmseed-2.12.patch
Patch2:		mars2mseed-strict-aliasing.patch

BuildRequires:	libmseed-devel >= 2.12

%description
Convert MARS 88/lite time series data to miniSEED.


%prep
%setup -q -n %{name}

%patch1
%patch2


%build
pushd src
# Disable internal library copy by overriding REQCFLAGS and LDFLAGS
make %{?_smp_mflags} \
	CC=gcc CFLAGS="%{optflags}" \
	REQCFLAGS='' LDFLAGS='' \
	all
popd


%install
mkdir -p %{buildroot}%{_bindir}
cp -p mars2mseed %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_mandir}/man1
cp -p doc/*.1 %{buildroot}%{_mandir}/man1/


%files
%doc README ChangeLog
%{_bindir}/mars2mseed
%{_mandir}/man1/*

%changelog
* Thu Feb 18 2016 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3-2
- Rebuild for Rawhide

* Thu Aug 21 2014 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3-1
- Initial package release
